@font-face {
  font-family: 'PDmed';
  src: url(/fonts/PlayfairDisplay-Medium.ttf);
}

@font-face {
  font-family: 'PDita';
  src: url(/fonts/PlayfairDisplay-Italic.ttf);
}

@font-face {
  font-family: 'PD';
  src: url(/fonts/PlayfairDisplay-Regular.ttf);
}

@font-face {
  font-family: 'RM';
  src: url(/fonts/BBBReadMe-Regular.woff);
}

@font-face {
  font-family: 'RMb';
  src: url(../fonts/BBBReadMe-SemiBold.woff);
  font-weight: bold;
  font-style: normal;
}


@font-face {
  font-family: 'RMita';
  src: url(/fonts/BBBReadMe-Italic.woff);
   font-style: italic, oblique;
   font-weight: normal;
}



* {
  box-sizing: border-box;
}



 
:root {
  --basesize: 1.7vw;
  --width: 95vw;
  --height: calc(var(--width) * .75);
  --pa: .4em;
  --pad: .8em;
  --pad2: 1.6em;
  --areaw: calc(var(--width) - var(--pad2));
  --areah: calc(var(--height) - var(--pad2));
  --gap: 1em;
  --migap: 5px;
  --shadow: 3px 3px 1px grey;
  --insets: 1px 1px 3px rgba(0,0,0, .5) inset;
  --bg: lightgray;
  --wall: rgb(253, 244, 233);
  --swall: antiquewhite; 
  --floor: rgb(90, 44, 22);
  --gold: rgb(243, 255, 70) ;
  --panel: lightskyblue; 
  --door: tomato;
  --light: whitesmoke;
  --roof: tomato;
  --building: rgb(255, 245, 138);
  --wallpaper: repeating-linear-gradient( 90deg,  var(--wall), var(--wall) 10em, red .2em, red 10.2em);
--depth: 2em;
--height: calc(100vh - 2em);
}


html {
  font-size: 16px;
  scroll-behavior: smooth;
  background-color: var(--wall);
 font-family: Georgia, 'Times New Roman', Times, serif;
  font-family: 'RM';
}

body{
  padding: 0;
  margin: 0;
  width: 100vw;
  height: 100vh;
  overflow: hidden;
}


img{
  display: block;
}

a{
  color: inherit;
  text-decoration: none;

}

h1, h2, h3, h4, h5, h6 {
  margin: .5em 0;
}

h1{
  font-size: 1em;
}

.isbuilding{
  border: outset 1em var(--building) ;
}

.room{
  height: var(--height);
  overflow: hidden;
  scroll-behavior: smooth;
  display: flex;
  flex-direction: column;
  background-color: var(--wall);
  border: inset var(--wall) 2em;
  border-width: 1em 2em;
  border-bottom: var(--floor) 2em solid;

}


.room>* {
  display: flex;
  flex-direction: row;
  width: 100%;
  max-width: 1000%;
  overflow-x: auto;
  overflow-y: hidden;
  scrollbar-color: var(--floor) var(--floor);
  scrollbar-width: thin;
}

.wall{
  /* background: var(--wallpaper); */
  height: 90%;
   box-shadow: inset 0px 0px 2px gray;
}

.floor{
  background: var(--floor);
  height: 10%;
}

.wall>*{
  max-width: var(--width);
  position: relative;
  flex-shrink: 0;
 
}

.room-title{
  position: sticky;
  left: 0;
  height: fit-content;
  top:0;
  background-color: var(--panel);
  
  margin: 0;
  padding: .5em;
  font-size: 1.2em;
  z-index: 200;
  box-shadow: var(-);
  border-bottom-right-radius: .5em;
 
 
}


.panel{
  align-self: end;
  max-width: 30ch;
  max-height: 5rem;
  padding: 1rem;
  background-color:var(--panel);
  margin: 4em 2em 0;
  box-shadow: lightslategray 1rem 1rem 0;
  transition: max-height 1s ease-in-out;
}

.panel:hover{
max-height: 80%;
overflow-y: scroll;
transition: max-height 1s ease-in-out;
}


.frame  {
  max-width: 100%;
  max-height: 100%;
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  aspect-ratio: 5/4;
  
}

.frame, .doors{
  flex-grow: 0;
  max-width: 100%;
}

.inner-frame {
  border: inset 1em var(--gold);
  box-shadow: var(--shadow);
  background-color: var(--light);
  max-height: 70%;
  height: auto;
  width: fit-content;
  align-items: center;
  text-align: center;
  min-height: 20%;
  flex: 1 0 0%;
     transition: transform .5s;

}


.frame:nth-child(odd) .inner-frame{
   transform: rotate(1deg);
}  
.frame:nth-child(3n) .inner-frame{
   transform: rotate(-1deg);
}

.inner-frame:hover{
  -webkit-animation: bouncing 2s ease-in-out  normal;
    animation: bouncing 2s ease-in-out  normal;
    transition: transform .5s;
}



.frame figcaption {
  display: flex;
  gap: .5em;
  padding: 1em 0;

}

.frame figcaption div{
  display: block;
  background-color: var(--light);
  box-shadow: var(--insets);
  padding: 1em;
  font-size: .9rem;
  line-height: 1.25;
  border-radius: 5px;
  font-family: 'RMita';
  width: calc(100% - 120px);
  float: left;
}

figcaption div::before{
  color: grey;
  font-family: 'RMb';
  font-size: .8em;
  font-weight: bold;
  content: "Caption - ";
  text-transform: uppercase;
}

.frame p, .frame ul, .frame ol, .frame blockquote {
    margin: 0;
    padding: 0;
}


iframe{
  aspect-ratio: 4/3;
  width: 100%;
  height: 100%;
  
   /* -ms-transform: scale(0.75);
    -moz-transform: scale(0.75);
    -o-transform: scale(0.75);
    -webkit-transform: scale(0.75);
    transform: scale(0.75);
    
    -ms-transform-origin: 0 0;
    -moz-transform-origin: 0 0;
    -o-transform-origin: 0 0;
    -webkit-transform-origin: 0 0;
    transform-origin: 0 0; */
}



iframe:hover{
  pointer-events: initial;
}


.frame .qr {
display: block;
aspect-ratio: 1/1;
max-width: 100px;
padding: 5px;
background-color: white;
border-radius: 5px;
 box-shadow: var(--insets);

  -webkit-box-shadow: var(--insets);   
  -moz-box-shadow: var(--insets);
} 

.frame .qr:hover{
  transform: scale(98%);
  transition:cubic-bezier(0.075, 0.82, 0.165, 1) 1s;
}


.frame img{
    max-width: 100%;
    max-height: 100%;
    font-family: 'RM';
    font-size: .9rem;
    text-align: center;
    background-color: var(--light);

}

.doors{
  display: flex;
  align-items: end;
  height: 100%;
  gap: 2em;
}

.door{
  flex-shrink:0 ;
  display: block;
  background-color: var(--door);
  transition: 1s;
  width:  10rem;
height: 14rem;
position: relative;
   transform-style: preserve-3d;
	transform: perspective(2500px);
  margin: 0 1rem;
  border: 5px solid tomato;
  border-bottom-width:0 ;

}



.door-front{
    background-color: var(--door);
    width: 100%;
  height: 100%;
  position: absolute;
  z-index: 200;
   transform-origin: left;
   border: 5px inset tomato;
}


.door:hover>.door-front{


   transform: rotateY(-160deg); 
   z-index: 200;
   transition: 1s ;
}

.door a {
  display: block;
  width: 100%;
  height: 100%;
  background-color: var(--swall);
  border: inset var(--wall) .5rem;
  border-width: .5rem 0 .5rem .5rem;
  border-bottom-color: var(--floor);
  position: absolute;
  box-shadow: var(--insets);
  text-align: center;
  padding: 1em .2em;

}

/* ANIMATION */

@keyframes bouncing {
  0% {
    -webkit-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  25% {
    -webkit-transform: rotate(1deg);
    -ms-transform: rotate(1deg);
    transform: rotate(1deg);
  }

  75% {
    -webkit-transform:rotate(-1deg);
    -ms-transform: rotate(-1deg);
    transform: rotate(-1deg);
  }

  100% {
    -webkit-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    transform: rotate(0deg);
  }
}


@keyframes breathing {
  0% {
    -webkit-transform: scale(0.9);
    -ms-transform: scale(0.9);
    transform: scale(0.9);
  }

  25% {
    -webkit-transform: scale(1);
    -ms-transform: scale(1);
    transform: scale(1);
  }

  60% {
    -webkit-transform: scale(0.9);
    -ms-transform: scale(0.9);
    transform: scale(0.9);
  }

  100% {
    -webkit-transform: scale(0.9);
    -ms-transform: scale(0.9);
    transform: scale(0.9);
  }
}


/* //LOBBY */ 

.sky{
  background-color: skyblue;
width: 100%;
height: 3em;
}

.grass{
  background-color: lightgreen;
position: relative;
width: 100%;
height: 100%;
}

.building-container{
  position: absolute;
  margin-top: -10px;
  margin: -10px 2em 0;
}

.building{
  background-color: var(--building);
 
   border: outset  5px var(--building) ;
  

}

.roof{
  /* background-color: var(--roof); */
  width: 100%;
  content: " ";
  height: 20px;
  display: block;
  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
  
  border-bottom: 20px solid var(--roof);
}

.building .door{
  width: 60px;
  height: 110px;
   margin: 40px 40px 0; 
}

.door-container p, .building-label{
  background-color: var(--light);
  box-shadow: var(--insets);
  padding: .5em;
  font-size: .9rem;
  line-height: 1.25;
  border-radius: 5px;
  font-family: 'RM';
  text-align: center;
  margin-top: 5px;
}

.building-container:nth-child(2){
  top:20vh;
  right: 10vw;
}

.house{
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  gap: 1em;
  background-color: var(--building);
  width: 100%;
  height: var(--height);
}

.webwindow{
  flex-grow: 1;
  flex-shrink: 0;
  flex-basis: 30%;
  border: inset 5px var(--panel);
  position: relative;
}


.shutters {
  width: 100%;
  height: 100%;
 position: absolute;
 display: flex;

}

.shutters div {
   width: 100%;
  height: 100%;
  flex-grow: 1;
   background-color: var(--panel);
  border: inset 5px var(--panel);
  transform-origin: left;
  z-index: 2;
}

.shutters div:nth-child(2){
  transform-origin: right;
}

.shutters.open div {
  
   transform: rotateY(-100deg); 
   z-index: 200;
   transition: 1s ;

}




/*        
.frame1 img {
    border: 18px solid;
    border-image: url(../frame1.png) 18 round; 
   
}

.frame3 img{
    border: 10px solid;
    border-image: url(../frame3full.png) 10 round;
  
  
}

        
.frame4 img{
    border: 30px solid;
    border-image: url(../frame4full.png) 30 round;

    } */


